## ruby-compass 0.11.5~dfsg

=== debian/changelog ===
ruby-compass (0.11.5~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Jul 2011 20:31:18 +0200

ruby-compass (0.11.4~dfsg-3) unstable; urgency=low

  * Update package relations:
    + Fix depend on ruby-chunky-png.
    + Fix recommend ruby-fssm (not depend on older libfssm-ruby).
    + Recommend ruby-oily-png.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 04:15:10 +0200

ruby-compass (0.11.4~dfsg-2) unstable; urgency=low

  * Add git-buildpackage config:
    + Enable pristine-tar.
    + Enable tag signing.
  * Fix add breaks/replaces/provides libcompass-ruby.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 02:09:44 +0200

ruby-compass (0.11.4~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackage as ruby-compass using gem2deb and modernized CDBS.
    See <http://wiki.debian.org/Teams/Ruby/RubyInWheezy>.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 00:06:18 +0200

libcompass-ruby (0.10.6~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add get-orig-tar target.
  * Friendly invasion: Add myself as uploader.
  * Fix patch 003 to use /usr/share/compass/frameworks (not
    /usr/share/compass/frameworks/frameworks) by default.
    Closes: bug#600206.
  * Refresh patches w/ compacting options --no-timestamps --no-index
    -pab.
  * Update watch file to use ~dfsg repackaging suffix.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Feb 2011 05:35:23 +0100

libcompass-ruby (0.10.2debian-2) unstable; urgency=low

  * debian/rules
     + removed man page from libcompass-ruby
     its being provided by libcompass-ruby1.8. (Closes: #589516, #587913).
  * debian/control
     + Bumped Standard version to 3.9.1 (no changes).

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Tue, 03 Aug 2010 22:06:59 -0400

libcompass-ruby (0.10.2debian-1) unstable; urgency=low

  * New upstream release (Closes: #583105)
  * debian/control
     + added myself to uploaders.
  * debian/patches/
     + added patch to get binary version from 
     right path.
     + added patch to fix binary load path.
     + added patch to keep framework at
     /usr/share dir.
  * debian/copyright
     + updated Debian's specific copyright info. 
  * debian/
     + created compass.1 manpage.
     + added libcompass-ruby1.8.manpages.
     + added libcompass-ruby.examples.
     + removed libcompass-ruby1.8 examples.
     + updated repack.sh for remove empty
     vendor directory.
  * debian/rules
     + removed patchsys-quilt.mk.
     
 -- Deepak Tripathi <apenguinlinux@gmail.com>  Thu, 24 Jun 2010 18:29:07 +0530

libcompass-ruby (0.8.17debian-1) unstable; urgency=low

  * Upgrade to new release

 -- Micah Anderson <micah@debian.org>  Sat, 01 May 2010 15:53:36 -0400

libcompass-ruby (0.8.5debian-5) unstable; urgency=low

  * fix changelog name in debian/rules (Closes: #577342) 
    - thanks Hideki Yamane
  * set quilt 3.0 source format

 -- Micah Anderson <micah@debian.org>  Sat, 20 Mar 2010 16:46:20 -0400

libcompass-ruby (0.8.5debian-4) unstable; urgency=low

  * Fix dependency for libcompass-ruby to be libcompass-ruby1.8 

 -- Micah Anderson <micah@debian.org>  Fri, 19 Mar 2010 00:02:53 -0400

libcompass-ruby (0.8.5debian-3) unstable; urgency=low

  * Fix binary load path and framework default directory

 -- Micah Anderson <micah@debian.org>  Sat, 06 Mar 2010 14:30:43 -0500

libcompass-ruby (0.8.5debian-2) unstable; urgency=low

  * Depend on the libfssm-ruby libraries

 -- Micah Anderson <micah@debian.org>  Sat, 06 Mar 2010 13:38:39 -0500

libcompass-ruby (0.8.5debian-1) unstable; urgency=low

  * repack upstream source to remove license amigious 
    example files and vendored fssm library
  * Install VERSION.yaml and patch source to find it properly
  * Initial release (Closes: #572555)

 -- Micah Anderson <micah@debian.org>  Thu, 04 Mar 2010 15:45:17 -0500
