=== debian/control ===
Source: ruby-compass
Section: ruby
Priority: optional
Maintainer: Micah Anderson <micah@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
 Deepak Tripathi <apenguinlinux@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts (>= 2.10.7~),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 gem2deb (>= 0.2.5~)
Standards-Version: 3.9.2
Homepage: http://wiki.github.com/chriseppstein/compass/
Vcs-Git: git://git.debian.org/git/collab-maint/ruby-compass
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby-compass.git
XS-Ruby-Versions: all

Package: ruby-compass
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Breaks: ${cdbs:Breaks}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Description: Stylesheet Framework streamlining creation and maintainance of CSS
 Compass is a CSS authoring framework which uses the Sass stylesheet
 language to make writing stylesheets powerful and easy.
 .
 Compass provides ports of the best of breed css frameworks that you can
 use without forcing you to use their presentational class names.
