=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Compass
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CDBS_BUILD_DEPENDS += , gem2deb (>= 0.2.5~)
CDBS_DEPENDS_DEFAULT += , ruby | ruby-interpreter
CDBS_DEPENDS_DEFAULT += , ruby-sass, ruby-chunky-png
CDBS_RECOMMENDS_DEFAULT += , ruby-oily-png, ruby-fssm

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/chriseppstein/compass
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.*
DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-04800af
DEB_UPSTREAM_TARBALL_MD5 = d208ab8b94028b020094176cdd034286

DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
DEB_INSTALL_EXAMPLES_ALL += examples/*
DEB_INSTALL_MANPAGES_ALL += debian/compass.1

common-configure-arch common-configure-indep:: debian/stamp-ruby-gem-configure
debian/stamp-ruby-gem-configure::
	dh_ruby --configure
	touch $@

common-build-arch common-build-indep:: debian/stamp-ruby-gem-build
debian/stamp-ruby-gem-build::
	dh_ruby --build
	touch $@

common-install-arch common-install-indep:: debian/stamp-ruby-gem-install
debian/stamp-ruby-gem-install::
	dh_ruby --install
	touch $@

clean::
	dh_ruby --clean
	rm -f $(patsubst %,debian/stamp-ruby-gem-%,configure build install)

binary-post-install/ruby-compass::
	find $(cdbs_curdestdir) -type f \( -name LICENSE -or -name .gitignore \) -delete

binary-fixup/ruby-compass::
	chmod -R a-x,a+X $(cdbs_curdestdir)/usr/share/compass/

oldpkg = libcompass-ruby
oldpkgversioned = $(oldpkg:= (<< 0.11)), $(oldpkg:=1.8 (<< 0.11))
oldpkgunversioned = $(oldpkg), $(oldpkg:=1.8)
CDBS_BREAKS_ALL = $(oldpkgversioned)
CDBS_REPLACES_ALL = $(oldpkgversioned)
CDBS_PROVIDES_ALL = $(oldpkgunversioned)
