## ruby-compass 0.11.6~dfsg

=== debian/changelog ===
ruby-compass (0.11.6~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update package relations:
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 20:00:37 +0700
