=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
  Deepak Tripathi <apenguinlinux@gmail.com>,
  Jonas Smedegaard <dr@jones.dk>
-Build-Depends: devscripts (>= 2.10.7~),
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+Build-Depends: cdbs (>= 0.4.72~),
+ devscripts,
+ debhelper,
  dh-buildinfo,
  gem2deb (>= 0.2.5~)
 Standards-Version: 3.9.2
