=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,8 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.*
-DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-04800af
-DEB_UPSTREAM_TARBALL_MD5 = d208ab8b94028b020094176cdd034286
+DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-fa87f13
+DEB_UPSTREAM_TARBALL_MD5 = 13b8259ccbbf4c952a22f36329115ac7
 
 DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
 DEB_INSTALL_EXAMPLES_ALL += examples/*
