=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
http://githubredir.debian.net/github/chriseppstein/compass/ v([.0-9]*).tar.gz debian
opts=dversionmangle=s/\~dfsg.*// \
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/compass .*/compass-(.*).tar.gz
