## ruby-compass 0.11.7~dfsg

=== debian/changelog ===
ruby-compass (0.11.7~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 16:30:15 +0100
