=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,8 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.*
-DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-fa87f13
-DEB_UPSTREAM_TARBALL_MD5 = 13b8259ccbbf4c952a22f36329115ac7
+DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-347d858
+DEB_UPSTREAM_TARBALL_MD5 = 291469eebd43411b55ee9740ce87c9dc
 
 DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
 DEB_INSTALL_EXAMPLES_ALL += examples/*
