## ruby-compass 0.12.1~dfsg

=== debian/changelog ===
ruby-compass (0.12.1~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Mar 2012 16:41:28 +0100

ruby-compass (0.12.0~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update package relations:
    + Relax build-depend unversioned on gem2deb: satisfied in testing
      (and not yet part of a stable Debian release).
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Mar 2012 11:24:04 +0100
