=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  devscripts,
  debhelper,
  dh-buildinfo,
- gem2deb (>= 0.2.5~)
-Standards-Version: 3.9.2
+ gem2deb
+Standards-Version: 3.9.3
 Homepage: http://wiki.github.com/chriseppstein/compass/
 Vcs-Git: git://git.debian.org/git/collab-maint/ruby-compass
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby-compass.git
