=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-CDBS_BUILD_DEPENDS += , gem2deb (>= 0.2.5~)
+CDBS_BUILD_DEPENDS += , gem2deb
 CDBS_DEPENDS_DEFAULT += , ruby | ruby-interpreter
 CDBS_DEPENDS_DEFAULT += , ruby-sass, ruby-chunky-png
 CDBS_RECOMMENDS_DEFAULT += , ruby-oily-png, ruby-fssm
@@ -29,8 +29,8 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.*
-DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-347d858
-DEB_UPSTREAM_TARBALL_MD5 = 291469eebd43411b55ee9740ce87c9dc
+DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-945721e
+DEB_UPSTREAM_TARBALL_MD5 = 0559afeb64dce45d59c4b801c37dc3f5
 
 DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
 DEB_INSTALL_EXAMPLES_ALL += examples/*
