## ruby-compass 0.12.2~dfsg

=== debian/changelog ===
ruby-compass (0.12.2~dfsg-4) unstable; urgency=low

  * Update watch and rules files to use new github.com URL.
  * Bump dephelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2012 03:17:56 +0100

ruby-compass (0.12.2~dfsg-3) unstable; urgency=low

  * Directly use github.com (not githubredir.debian.net).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Sep 2012 12:45:57 +0200

ruby-compass (0.12.2~dfsg-2) unstable; urgency=low

  * Team upload.
  * debian/require-rubygems.overrides: instruct dh_ruby to ignore what seems
    to be justifiable Rubygems usage and don't break the build
    (Closes: #680846)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Sep 2012 10:13:52 -0300

ruby-compass (0.12.2~dfsg-1) unstable; urgency=low

  * New upstream release.

  * Extend copyright years for packaging.
  * Install upstream changelog.
  * Tidy copyright file:
    + Fix add jquery.url copyright holder.
    + Fix typo File → Files.
    + Fix comment to talk about [a piece of included] code (not upstream
      source) lacking licensing info.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 15:33:57 +0200

ruby-compass (0.12.1~dfsg-2) unstable; urgency=low

  * Use packaging section web (not ruby): Compass is more a web
    development tool than a ruby library.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 12:23:45 +0200
