=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ruby-compass
-Section: ruby
+Section: web
 Priority: optional
 Maintainer: Micah Anderson <micah@debian.org>
 Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
  Deepak Tripathi <apenguinlinux@gmail.com>,
  Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.72~),
+Build-Depends: cdbs,
  devscripts,
  debhelper,
  dh-buildinfo,
