=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Compass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -25,13 +25,13 @@
 CDBS_DEPENDS_DEFAULT += , ruby-sass, ruby-chunky-png
 CDBS_RECOMMENDS_DEFAULT += , ruby-oily-png, ruby-fssm
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/chriseppstein/compass
+DEB_UPSTREAM_URL = https://github.com/chriseppstein/compass/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.*
-DEB_UPSTREAM_TARBALL_SRCDIR = chriseppstein-compass-945721e
-DEB_UPSTREAM_TARBALL_MD5 = 0559afeb64dce45d59c4b801c37dc3f5
+DEB_UPSTREAM_TARBALL_SRCDIR = compass-$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = 89f9cd655a9ad951fe9d2aefbd3e14f6
 
+DEB_INSTALL_CHANGELOGS_ALL = doc-src/content/CHANGELOG.markdown
 DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
 DEB_INSTALL_EXAMPLES_ALL += examples/*
 DEB_INSTALL_MANPAGES_ALL += debian/compass.1
