## ruby-compass 0.12.6~dfsg

=== debian/changelog ===
ruby-compass (0.12.6~dfsg-2) unstable; urgency=medium

  * Fix tighten dependencies on ruby-sass and ruby-chunky-png.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 02:33:06 +0200

ruby-compass (0.12.6~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix concurrency issues with css and sprite files.
    + Fix a windows issue by forcing a Sass upgrade.
    + Don't read the compass version from a file, this causes issues in
      jruby environments.

  [ Jonas Smedegaard ]
  * Fix update homepage URL.
    Closes: bug#664179. Thanks to Frederic Junod.
  * Drop upstream .gitignore file.
  * Update source and contact URLs to new github Compass team address.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 00:31:29 +0200

ruby-compass (0.12.3~dfsg-2) unstable; urgency=medium

  * Update Maintainer, Uploaders and Vcs-* fields: Packaging git moved
    to pkg-sass area of Alioth.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 May 2014 14:17:46 +0200

ruby-compass (0.12.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix add License section for Apache-2.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Suppress import of upstream .gitignore file.
    Git-ignore quilt -pc dir.
  * Extract metadata from images and fonts before copyright check.
    Build-depend on libimage-exiftool-perl, libregexp-assemble-perl,
    libipc-system-simple-perl and lcdf-typetools.
  * Bump standards-version to 3.9.5.
  * Update copyright info:
    + Drop coverage for non-DFSG-free stripped files.
  * Extend coverage for myself, and relicense packaging as GPL-3+.
  * Strip more files when repackaging upstream tarball:
    + Images containing non-free ICC profiles.
    + Icons not permitted to modify.
    + Javascript uglified and lacking its source.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 May 2014 01:21:45 +0200
