=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: ruby-compass
 Section: web
 Priority: optional
-Maintainer: Micah Anderson <micah@debian.org>
-Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
- Deepak Tripathi <apenguinlinux@gmail.com>,
- Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
  devscripts,
  debhelper,
  dh-buildinfo,
- gem2deb
-Standards-Version: 3.9.3
-Homepage: http://wiki.github.com/chriseppstein/compass/
-Vcs-Git: git://git.debian.org/git/collab-maint/ruby-compass
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby-compass.git
+ gem2deb,
+ libimage-exiftool-perl,
+ libregexp-assemble-perl,
+ libipc-system-simple-perl,
+ lcdf-typetools
+Standards-Version: 3.9.5
+Homepage: http://compass-style.org/
+Vcs-Git: git://git.debian.org/git/pkg-sass/ruby-compass
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sass/ruby-compass.git
 XS-Ruby-Versions: all
 
 Package: ruby-compass
