=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, 2014 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Compass
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -20,21 +20,63 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-CDBS_BUILD_DEPENDS += , gem2deb
-CDBS_DEPENDS_DEFAULT += , ruby | ruby-interpreter
-CDBS_DEPENDS_DEFAULT += , ruby-sass, ruby-chunky-png
-CDBS_RECOMMENDS_DEFAULT += , ruby-oily-png, ruby-fssm
-
-DEB_UPSTREAM_URL = https://github.com/chriseppstein/compass/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.*
+DEB_UPSTREAM_URL = https://github.com/Compass/compass/archive
+DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_SRCDIR = compass-$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_MD5 = 89f9cd655a9ad951fe9d2aefbd3e14f6
+
+DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.* \
+ doc-src/assets/images/compass.app.png \
+ doc-src/assets/images/compass.png \
+ doc-src/assets/images/examples/css3/bg-origin/bg.png \
+ doc-src/assets/javascripts/jquery-1.3.2.min.js \
+ doc-src/assets/javascripts/jquery.url.packed.js \
+ doc-src/assets/javascripts/modernizr-1.6.min.js \
+ doc-src/assets/javascripts/shAutoloader.js \
+ doc-src/assets/javascripts/shCore.js \
+ examples/blueprint_default/parts/valid.png \
+ examples/blueprint_plugins/images/valid.png \
+ examples/blueprint_semantic/parts/valid.png \
+ examples/css3/images/example.png \
+ test/fixtures/sprites/ \
+ test/fixtures/stylesheets/compass/100x150.jpg \
+ test/fixtures/stylesheets/compass/images/100x150.jpeg \
+ test/fixtures/stylesheets/compass/images/100x150.jpg \
+ test/fixtures/stylesheets/compass/images/100x150.png \
+ test/fixtures/stylesheets/compass/images/4x6.png
+
+bdeps = gem2deb
+depends = ruby | ruby-interpreter
+depends +=, ruby-sass (>= 3.3.4+really.3.2.19), ruby-sass (<< 3.3.6)
+depends +=, ruby-chunky-png (<< 3.0)
+recommends = ruby-oily-png, ruby-fssm
+
+CDBS_BUILD_DEPENDS +=, $(bdeps)
+CDBS_DEPENDS_DEFAULT = $(depends)
+CDBS_RECOMMENDS_DEFAULT = $(recommends)
 
 DEB_INSTALL_CHANGELOGS_ALL = doc-src/content/CHANGELOG.markdown
 DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
 DEB_INSTALL_EXAMPLES_ALL += examples/*
 DEB_INSTALL_MANPAGES_ALL += debian/compass.1
+
+# extract metadata from images and fonts before copyright check
+CDBS_BUILD_DEPENDS +=, libimage-exiftool-perl, libregexp-assemble-perl
+CDBS_BUILD_DEPENDS +=, libipc-system-simple-perl, lcdf-typetools
+local_inspection_regex = png|jpg|jpeg|gif|ttf|otf
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
+debian/stamp-copyright-check: debian/stamp-extract-copyright
+debian/stamp-extract-copyright:
+	find * -type f -regextype posix-extended \
+		-regex '.*\.($(local_inspection_regex))' \
+		-print0 | perl -0 debian/print-metadata.pl
+	touch $@
+pre-build:: clean-extracted-copyright-during-build
+clean-extracted-copyright-during-build: debian/stamp-copyright-check
+	find -type f -name '*.metadata_dump' -delete
+clean::
+	find -type f -name '*.metadata_dump' -delete
+	rm -f debian/stamp-extract-copyright
 
 common-configure-arch common-configure-indep:: debian/stamp-ruby-gem-configure
 debian/stamp-ruby-gem-configure::
