## ruby-compass 1.0.1~dfsg

=== debian/changelog ===
ruby-compass (1.0.1~dfsg-3) unstable; urgency=medium

  * Fix tighten dependencies on ruby-sass and ruby-chunky-png.
  * Adjust watch file to track only stable releases.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Add NEWS entry about Blueprint now packaged separately.
  * Stop build-depend explicitly on ruby.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Oct 2014 01:41:15 +0200

ruby-compass (1.0.1~dfsg-2) experimental; urgency=medium

  * Revive patch 1002 to adjust location of VERSION: Still needed.
  * Embed VERSION and VERSION_NAME during build, where supported
    (ruby-compass-install-once still need VERSION as file).
  * Build-depend on libfile-slurp-perl: Needed for above embedding.
  * Fix extend patch 2002 to detect all system-shared frameworks (not
    only compass itself), and apply also for "scss --compass".

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Aug 2014 22:57:25 +0200

ruby-compass (1.0.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Strip from upstream tarball another image containing ICC profile
    without license.
  * Update package relations:
    + Tighten dependency on ruby-sass for ruby-compass.
    + Relax dependency on ruby-sass for ruby-compass-core.
  * Unfuzz patches.
  * Fix build-depend explicitly on ruby (see bug#758806).
  * Juggle VERSION_NAME (not only VERSION) when auto-generating man
    pages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Aug 2014 18:04:40 +0200

ruby-compass (1.0.0~alpha20~dfsg-4) experimental; urgency=medium

  * Improve description in man page.
  * Add patch 2002 to expect core framework installed below /usr/share.
  * Fix ship core framework in ruby-compass-core.
  * Fix have ruby-compass-core break/replace older ruby-compass.
  * Fix copy VERSION files to patched locations during build (not only
    during man page creation).
  * Extend patch 2001 to also avoid git in import-once gemspec.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 18:37:58 +0200

ruby-compass (1.0.0~alpha20~dfsg-3) experimental; urgency=medium

  * Simplify man page auto-creation.
  * Fix install VERSION files apparently missed in upstream build.
    Add patch 1002 to use correct path to VERSION.
  * Fix use canonical Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 16:16:14 +0200

ruby-compass (1.0.0~alpha20~dfsg-2) experimental; urgency=medium

  * Fix tighten dependency on ruby-sass.
  * Fix spelling in short description.
  * Auto-generate man page.
  * Introduce new binary packages ruby-compass-install-once and
    ruby-compass-core.
  * Update package relations:
    + Stop break/replace/provide libcompass-ruby: Never it into stable,
      and long gone from testing/unstable.
    + Fix tighten build-dependency on gem2deb: needed for multi-binary
      layout.
    + Build-depend on help2man, and build-depend (not only depend) on
      ruby-sass, ruby-chunky-png and ruby-multi-json: Needed to
      auto-create man page.
    + (Build-)depend on ruby-rb-inotify: Needed for command-line tool.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 12:27:43 +0200

ruby-compass (1.0.0~alpha20~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Fix tighten dependency on ruby-sass.
    + Fix depend on ruby-multi-json.
    + Stop recommending ruby-oily-png or ruby-fssm.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 00:58:10 +0200

ruby-compass (1.0.0~alpha19~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix update homepage URL.
    Closes: bug#664179. Thanks to Frederic Junod.
  * Set experimental branches in git-buildpackage config.
  * Relax watch file to include alpha/beta/rc releases.
  * Update copyright info:
    + Update copyright info: Adapt for files moved around, duplicated or
      dropped.
  * Update location of upstream changelog.
  * Adapt CDBS tarball hints for mangled upstream version.
  * Drop patch 2001 to hardcode default framework location below
    /usr/share: Apparently unneeded now.
  * Update patch 1001.
  * Add patch 2001 to avoid git in gemspec file.
  * Update paths to framework files.
  * Stop install examples: Dropped upstream.
  * Add dh_ruby hint to operate in subdir core.
    Tighten build-dependency on gem2deb to versions supporting the
    needed multi-binary layout.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 May 2014 21:43:38 +0200
