=== debian/rules ===
--- 
+++ 
@@ -20,45 +20,70 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+pkg = $(DEB_SOURCE_PACKAGE)
+
 DEB_UPSTREAM_URL = https://github.com/Compass/compass/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_SRCDIR = compass-$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/.$$1./
+DEB_UPSTREAM_TARBALL_SRCDIR = compass-$(cdbs_upstream_tarball_basename)
 DEB_UPSTREAM_TARBALL_MD5 = 89f9cd655a9ad951fe9d2aefbd3e14f6
 
-DEB_UPSTREAM_REPACKAGE_EXCLUDES = doc-src/assets/fonts/museosans-web.* \
- doc-src/assets/images/compass.app.png \
- doc-src/assets/images/compass.png \
- doc-src/assets/images/examples/css3/bg-origin/bg.png \
- doc-src/assets/javascripts/jquery-1.3.2.min.js \
- doc-src/assets/javascripts/jquery.url.packed.js \
- doc-src/assets/javascripts/modernizr-1.6.min.js \
- doc-src/assets/javascripts/shAutoloader.js \
- doc-src/assets/javascripts/shCore.js \
+DEB_UPSTREAM_REPACKAGE_EXCLUDES = compass-style.org/assets/fonts/museosans-web.* \
+ compass-style.org/assets/images/compass.app.png \
+ compass-style.org/assets/images/compass.png \
+ compass-style.org/assets/images/examples/css3/bg-origin/bg.png \
+ compass-style.org/assets/images/sites/linkedin.png \
+ compass-style.org/assets/javascripts/jquery-1.3.2.min.js \
+ compass-style.org/assets/javascripts/jquery.url.packed.js \
+ compass-style.org/assets/javascripts/modernizr-1.6.min.js \
+ compass-style.org/assets/javascripts/shAutoloader.js \
+ compass-style.org/assets/javascripts/shCore.js \
  examples/blueprint_default/parts/valid.png \
  examples/blueprint_plugins/images/valid.png \
  examples/blueprint_semantic/parts/valid.png \
  examples/css3/images/example.png \
- test/fixtures/sprites/ \
- test/fixtures/stylesheets/compass/100x150.jpg \
- test/fixtures/stylesheets/compass/images/100x150.jpeg \
- test/fixtures/stylesheets/compass/images/100x150.jpg \
- test/fixtures/stylesheets/compass/images/100x150.png \
- test/fixtures/stylesheets/compass/images/4x6.png
+ cli/test/fixtures/sprites/ \
+ cli/test/fixtures/stylesheets/compass/100x150.jpg \
+ cli/test/fixtures/stylesheets/compass/images/100x150.jpeg \
+ cli/test/fixtures/stylesheets/compass/images/100x150.jpg \
+ cli/test/fixtures/stylesheets/compass/images/100x150.png \
+ cli/test/fixtures/stylesheets/compass/images/4x6.png \
+ core/test/integrations/projects/compass/images/100x150.jpeg \
+ core/test/integrations/projects/compass/images/100x150.jpg \
+ core/test/integrations/projects/compass/images/100x150.png \
+ core/test/integrations/projects/compass/images/4x6.png
 
-bdeps = gem2deb
-depends = ruby | ruby-interpreter
-depends +=, ruby-sass (>= 3.3.4+really.3.2.19), ruby-sass (<< 3.3.6)
-depends +=, ruby-chunky-png (<< 3.0)
-recommends = ruby-oily-png, ruby-fssm
+# needed for our build
+bdeps = gem2deb (>= 0.4.1~)
 
-CDBS_BUILD_DEPENDS +=, $(bdeps)
-CDBS_DEPENDS_DEFAULT = $(depends)
-CDBS_RECOMMENDS_DEFAULT = $(recommends)
+# needed during build and at runtime
+deps = ruby-sass (>= 3.3.6), ruby-sass (<< 3.5)
+deps +=, ruby-chunky-png (<< 2.0)
+deps-core = ruby-multi-json (<< 2.0)
 
-DEB_INSTALL_CHANGELOGS_ALL = doc-src/content/CHANGELOG.markdown
-DEB_INSTALL_DOCS_ALL += README.markdown TODO.md
-DEB_INSTALL_EXAMPLES_ALL += examples/*
-DEB_INSTALL_MANPAGES_ALL += debian/compass.1
+# needed at runtime
+depends-all = ruby | ruby-interpreter
+depends +=, ruby-rb-inotify (>= 0.9)
+depends +=, ruby-compass-core (= $(DEB_VERSION))
+depends +=, ruby-compass-import-once (= $(DEB_VERSION))
+depends +=, ruby-sass (>= 3.3.13), ruby-sass (<< 3.5)
+depends-core = ruby-sass (>= 3.3.0), ruby-sass (<< 3.5)
+depends-import-once = ruby-sass (>= 3.2), ruby-sass (<< 3.5)
+
+CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps), $(deps-core)
+CDBS_DEPENDS_$(pkg) = $(depends-all), $(deps), $(depends)
+CDBS_DEPENDS_ruby-compass-core = $(deps-core), $(depends-all), $(depends-core)
+CDBS_DEPENDS_ruby-compass-import-once = $(depends-all), $(depends-import-once)
+
+# TODO: drop when ruby-compass-core is in stable
+CDBS_BREAKS_ruby-compass-core = $(pkg) (<< 1.0.0~)
+CDBS_REPLACES_ruby-compass-core = $(pkg) (<< 1.0.0~)
+
+DEB_INSTALL_CHANGELOGS_ALL = compass-style.org/content/CHANGELOG.markdown
+DEB_INSTALL_DOCS_ALL += TODO.md
+DEB_INSTALL_DOCS_$(pkg) = README.markdown
+DEB_INSTALL_DOCS_ruby-compass-core = core/README.md
+DEB_INSTALL_DOCS_ruby-compass-import-once = import-once/README.md
 
 # extract metadata from images and fonts before copyright check
 CDBS_BUILD_DEPENDS +=, libimage-exiftool-perl, libregexp-assemble-perl
@@ -97,15 +122,51 @@
 	dh_ruby --clean
 	rm -f $(patsubst %,debian/stamp-ruby-gem-%,configure build install)
 
-binary-post-install/ruby-compass::
-	find $(cdbs_curdestdir) -type f \( -name LICENSE -or -name .gitignore \) -delete
+# embed or install VERSION and VERSION_NAME files
+CDBS_BUILD_DEPENDS +=, libfile-slurp-perl
+binary-post-install/$(pkg)::
+	perl -mFile::Slurp=:all \
+		-e '($$ver) = read_file ( "cli/VERSION", chomp => 1 );' \
+		-e '($$nick) = read_file ( "cli/VERSION_NAME", chomp => 1);' \
+		-e 'edit_file {' \
+			-e 's/(\h+)#.*(\n\1#.*)*/$${1}VERSION = "$$ver"\n$${1}VERSION_NAME = "$$nick"/' \
+		-e '} "debian/$(cdbs_curpkg)/usr/lib/ruby/vendor_ruby/compass/generated_version.rb";'
+binary-post-install/ruby-compass-core::
+	perl -mFile::Slurp=:all \
+		-e '($$ver) = read_file ( "core/VERSION", chomp => 1 );' \
+		-e 'edit_file {' \
+			-e 's/(\h+)#.*(\n\1#.*)*/$${1}VERSION = "$$ver"/' \
+		-e '} "debian/$(cdbs_curpkg)/usr/lib/ruby/vendor_ruby/compass/core/generated_version.rb";'
+binary-post-install/ruby-compass-import-once::
+	install -m a=r,u+w \
+		-t debian/$(cdbs_curpkg)/usr/lib/ruby/vendor_ruby/compass/import-once \
+		import-once/VERSION
 
-binary-fixup/ruby-compass::
-	chmod -R a-x,a+X $(cdbs_curdestdir)/usr/share/compass/
+binary-post-install/$(pkg)::
+	find debian/$(cdbs_curpkg) -type f \( -name LICENSE -or -name .gitignore \) -delete
 
-oldpkg = libcompass-ruby
-oldpkgversioned = $(oldpkg:= (<< 0.11)), $(oldpkg:=1.8 (<< 0.11))
-oldpkgunversioned = $(oldpkg), $(oldpkg:=1.8)
-CDBS_BREAKS_ALL = $(oldpkgversioned)
-CDBS_REPLACES_ALL = $(oldpkgversioned)
-CDBS_PROVIDES_ALL = $(oldpkgunversioned)
+binary-fixup/ruby-compass-core::
+	chmod -R a-x,a+X debian/$(cdbs_curpkg)/usr/share/compass/
+
+# copy VERSION file to patched location during build
+pre-build:: debian/stamp-install-VERSION
+debian/stamp-install-VERSION:
+	cp -f import-once/VERSION import-once/lib/compass/import-once
+	touch $@
+clean::
+	rm -f import-once/lib/compass/import-once/VERSION
+	rm -f debian/stamp-install-VERSION
+
+# generate manpage based on --help of script itself
+manpages = debian/compass.1
+CDBS_BUILD_DEPENDS +=, help2man
+DEB_INSTALL_MANPAGES_ruby-compass = $(manpages)
+build/$(pkg):: $(manpages)
+$(manpages): debian/%.1 : cli/bin/%
+	chmod +x $<
+	RUBYLIB=import-once/lib:core/lib:cli/lib help2man \
+		--name "Stylesheet Framework streamlining creation and maintenance of CSS" \
+		--no-info --output=$@ $< \
+		|| RUBYLIB=import-once/lib:core/lib:cli/lib $< --help
+clean::
+	rm -f $(manpages)
