## ruby-compass 1.0.3~dfsg

=== debian/changelog ===
ruby-compass (1.0.3~dfsg-5) unstable; urgency=medium

  * Update watch file: Use substitution string @PACKAGE@.
  * Modernize git-buildpackage config: Fix filter any .git* file.
  * Fix use custom version for ruby-compass-import-once binary package.
    Closes: Bug#866141. Thanks to Sruthi Chandran.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Drop obsolete lintian override regarding debhelper 9.
  * Relax to (build-)depend unversioned on gem2deb, ruby-sass (lower
    bounds), and ruby-rb-inotify: Needed versions satisfied even in
    oldstable.
  * Modernize cdbs:
    + Check copyright in maintainer script (not during build).
    + Stop build-depend on devscripts - libimage-exiftool-perl
      libregexp-assemble-perl libipc-system-simple-perl lcdf-typetools.
  * Update copyright info: Extend coverage of packaging.
  * Deprecate: No longer maintained upstream.
    + Move to section oldlibs.
    + Add NEWS item about deprecation.
    + Mention deprecation in long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Jul 2017 21:38:04 +0200

ruby-compass (1.0.3~dfsg-4) unstable; urgency=medium

  * Modernize Vcs-Git field: Use https protocol.
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize watch file, and add usage hint comment.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Stop break/replace old ruby-compass-core: Only newer version
    available in any Debian suite.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
  * Fix copy VERSION file before cleaning gem, to succeed both with and
    without patches applied.
    Closes: Bug#819187. Thanks to Chris Lamb.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 18:33:52 +0100

ruby-compass (1.0.3~dfsg-3) unstable; urgency=medium

  * Update copyright info: Extend coverage for myself.
  * Stop permit copyright hint file to contain binary data: Serves no
    purpose - either suppress binary files or better extract data before
    copyright check.
  * Update copyright info:
    + Fix use globbing in Files-Excluded paragraph.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Drop unused License sections.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Add lintian override regarding missing javascript source.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 19:54:45 +0100

ruby-compass (1.0.3~dfsg-2) unstable; urgency=medium

  * Team upload.
  * Re-upload to unstable.

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 May 2015 17:26:04 +0530

ruby-compass (1.0.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2015 14:32:57 +0100

ruby-compass (1.0.1~dfsg-4) experimental; urgency=medium

  * Fix have ruby-compass (again) recommend ruby-oily-png (wrongly
    dropped since 1.0.0~alpha20~dfsg-1).
  * Add patch 2003 to strip dependency on Mac-only rb-notify from
    Gemspec.
    Closes: bug#770651. Thanks to Pirate Praveen.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Nov 2014 01:57:20 +0100
