=== debian/control ===
Source: ruby-compass
Section: oldlibs
Priority: optional
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 gem2deb,
 ruby-chunky-png (<< 2.0),
 ruby-multi-json (<< 2.0),
 ruby-sass (<< 3.5),
 libfile-slurp-perl,
 help2man
Standards-Version: 4.0.0
Homepage: http://compass-style.org/
Vcs-Git: https://git.debian.org/git/pkg-sass/ruby-compass
Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/ruby-compass.git
XS-Ruby-Versions: all

Package: ruby-compass
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: cli
Depends: ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: Stylesheet Framework streamlining creation and maintenance of CSS
 Compass is a CSS authoring framework which uses the Sass stylesheet
 language to make writing stylesheets powerful and easy.
 .
 Compass provides ports of the best of breed css frameworks that you can
 use without forcing you to use their presentational class names.
 .
 This package provides configuration file and command line tools.
 .
 NB! Please note that Compass is no longer maintained upstream:
 Please use Sass instead.

Package: ruby-compass-core
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: core
Depends: ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Breaks: ${cdbs:Breaks}
Replaces: ${cdbs:Replaces}
Description: Stylesheet Framework for CSS - core stylesheet library
 Compass is a CSS authoring framework which uses the Sass stylesheet
 language to make writing stylesheets powerful and easy.
 .
 Compass provides ports of the best of breed css frameworks that you can
 use without forcing you to use their presentational class names.
 .
 This package provides core stylesheet library and minimum required ruby
 extensions, usable stand-alone.
 .
 NB! Please note that Compass is no longer maintained upstream:
 Please use Sass instead.

Package: ruby-compass-import-once
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: import-once
Depends: ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: Stylesheet Framework for CSS - Sass compilation optimizer
 Compass is a CSS authoring framework which uses the Sass stylesheet
 language to make writing stylesheets powerful and easy.
 .
 Compass provides ports of the best of breed css frameworks that you can
 use without forcing you to use their presentational class names.
 .
 This package changes the behavior of Sass's @import directive to only
 import a file once.
 .
 NB! Please note that Compass is no longer maintained upstream:
 Please use Sass instead.
