=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg.*//,repacksuffix=~dfsg,uversionmangle=s/(?:\d)(alpha|beta|rc)/~~$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/Compass/compass/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
